(*------------------------------------------

  :Module.      RexxBox.mod
  :Author.      Albert Weinert  [awn]
  :Address.     Moltkestr. 68, 50859 Kln, Germany
  :EMail.       a.weinert@darkness.gun.de
  :Phone.       +49-221-480800
  :Revision.    R.0
  :Date.        10-Apr-1995
  :Copyright.   Albert Weinert
  :Language.    Oberon-2
  :Translator.  AmigaOberon V3.20
  :Contents.    <Kurzbeschreibung>
  :Imports.     <Importiertes, Name/ShortCut des Autors>
  :Remarks.     <Was Du willst, evtl. Usage>
  :Bugs.        <Bekannte Fehler>
  :Usage.       <Angaben zur Anwendung>
  :RCSId.       $Id$
  :History.     .0     [awn] 10-Apr-1995 : Erstellt

--------------------------------------------*)
MODULE RexxBox;

IMPORT  Mui, gui:= RexxBoxGUI,y := SYSTEM, Exec, NoGuru;

VAR
  running : BOOLEAN;
  signal : LONGSET;

BEGIN
   running := TRUE;

   WHILE running DO
     CASE Mui.DOMethod( gui.app, Mui.mApplicationInput,y.ADR( signal ) ) OF
       | Mui.vApplicationReturnIDQuit: running := FALSE;

     ELSE END;
     IF signal # LONGSET{} THEN y.SETREG( 0, Exec.Wait(signal) ) END;;
   END;

END RexxBox.



