(*------------------------------------------

  :Module.      RexxBoxGUI.mod
  :Author.      Albert Weinert  [awn]
  :Address.     Moltkestr. 68; 50859 Kln
  :EMail.       a.weinert@darkness.gun.de
  :Phone.       +49-221-480800
  :Revision.    R.0
  :Date.        10-Apr-1995
  :Copyright.   Albert Weinert
  :Language.    Oberon-2
  :Translator.  AmigaOberon V3.20
  :Contents.    <Kurzbeschreibung>
  :Imports.     <Importiertes, Name/ShortCut des Autors>
  :Remarks.     <Was Du willst, evtl. Usage>
  :Bugs.        <Bekannte Fehler>
  :Usage.       <Angaben zur Anwendung>
  :RCSId.       $Id$
  :History.     .0     [awn] 10-Apr-1995 : Erstellt

--------------------------------------------*)
MODULE RexxBoxGUI;

IMPORT
  e  := Exec,
  I  := Intuition,
  m  := Mui,
  mw := RBMainWindowClass,
  ms := MuiSimple,
  u := Utility,
  y := SYSTEM;

VAR
  app -   : m.Object;
  mainWin : m.Object;
BEGIN
  mainWin := I.NewObject( mw.class, NIL,
			  m.aWindowTitle, y.ADR( "RexxBox Hauptfenster" ),
			  u.end );

  app := ms.ApplicationObject( m.aApplicationTitle, y.ADR("RexxBox"),
			       m.aApplicationBase, y.ADR("REXXBOX"),
			       m.aApplicationWindow, mainWin,
			       u.end );
  ms.Set( mainWin, m.aWindowOpen, e.true );
CLOSE
  IF app # NIL THEN m.DisposeObject( app ) END;
END RexxBoxGUI.
